Skip to main content
POST
Get charging session history

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

userId
string
required

The unique identifier of the user whose session history should be retrieved

Body

application/json

request

Filtering and pagination options for retrieving session history.

sessionStatus
enum<string>[]

If not passed, only COMPLETE sessions are returned.

IMPORTANT - when handling this enum other unknown values should be handled.

Available options:
CREATED,
WAITING_TO_START,
STARTED,
WAITING_TO_STOP,
STOPPED,
COMPLETE,
FAILED,
UNKNOWN,
STOP_FAILED
chargingKeyId
string

Filter sessions by charging key identifier.

Example:

"kjG86L3wn5"

startTime
string<date-time>

Lower bound for session start time (inclusive) in UTC.

endTime
string<date-time>

Upper bound for session start time (inclusive) in UTC.

cursor
string

Cursor string - pass cursor from previous response body to get next page.

Example:

50

limit
integer
default:50

Number of entries

Response

Save the cursor to access next pages.

Paginated list of sessions returned by history queries.

sessions
object[]
required

Sessions matching the requested filters.

cursor
string

Use this exact string to get next page. If absent, it means no next page is available.

Example:

50

count
integer

The total amount of sessions taking into account the filters sessionStatus, chargingKeyId, startTime and endTime, if provided.

Example:

946